Subject: Re: [PATCH 4/4] win32: Improve the conditional inclusion of WIN32 API code

From: Johannes Sixt <[email-masked]>
Date: Thu, 05 Nov 2009 08:41:54 +0100

Ramsay Jones schrieb:
> Johannes Sixt wrote:
>> It may be that I understand something incorrectly; but then I blame the
>> justification that you gave. In this case, it would be helpful to reword
>> the commit message, and perhaps add some results from your experiments.
>>
> 
> The discussion which lead to this patch, including the experiments, can be
> found in the email thread starting here:
> 
>     http://thread.gmane.org/gmane.comp.version-control.git/129403
> 
> (along with some other unrelated stuff; but it's not a long read :)
> 
> In the above thread, Marius suggested API_WIN32, but I switched it around, since
> I thought it sounded better! I also thought about GIT_WIN32. Suggestions?

I suggested to treat WIN32 and _WIN32 as synonyms. The commit message
should summarize what you observed in your experiments.

But you can also tell me now why this is not possible. (I recall that your
report about the experiments was rather long; I don't have the time to
read and understand it again and to draw the correct conclusions.)

-- Hannes